GtkDatabox: gtk/gtkdatabox_bars.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_bars.h File Reference
`#include <gtkdatabox_xyc_graph.h>`
Include dependency graph for gtkdatabox_bars.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxBars
struct | _GtkDataboxBarsClass
## Defines
#define | GTK_DATABOX_TYPE_BARS (gtk_databox_bars_get_type ())
#define | GTK_DATABOX_BARS(obj)
#define | GTK_DATABOX_BARS_CLASS(klass)
#define | GTK_DATABOX_IS_BARS(obj)
#define | GTK_DATABOX_IS_BARS_CLASS(klass)
#define | GTK_DATABOX_BARS_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxBars | GtkDataboxBars
typedef struct _GtkDataboxBarsClass | GtkDataboxBarsClass
typedef struct _GtkDataboxBarsPrivate | GtkDataboxBarsPrivate
## Functions
GType | gtk_databox_bars_get_type (void)
GtkDataboxGraph * | gtk_databox_bars_new (guint len, gfloat *X, gfloat *Y, GdkColor *color, guint size)

## Define Documentation

#define GTK_DATABOX_BARS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_BARS, \
                                               GtkDataboxBars))

#define GTK_DATABOX_BARS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_BARS, \
                                               GtkDataboxBarsClass))

#define GTK_DATABOX_BARS_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_BARS, \
                                               GtkDataboxBarsClass))

#define GTK_DATABOX_IS_BARS | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_BARS))

#define GTK_DATABOX_IS_BARS_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_BARS))

#define GTK_DATABOX_TYPE_BARS (gtk_databox_bars_get_type ())

SECTION:gtkdatabox_bars : A GtkDataboxGraph used for displaying xy-values as vertical bars. gtkdatabox_bars.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxMarkers

GtkDataboxBars is a GtkDataboxGraph class for displaying xy-values as vertical bars which rise/drop from y=0.

## Typedef Documentation

typedef struct _GtkDataboxBars GtkDataboxBars

GtkDataboxBars: : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxMarkers

GtkDataboxBars is a GtkDataboxGraph class for displaying xy-values as vertical bars which rise/drop from y=0.

typedef struct _GtkDataboxBarsClass GtkDataboxBarsClass

typedef struct _GtkDataboxBarsPrivate GtkDataboxBarsPrivate

GtkDataboxBarsPrivate

A private data structure used by the GtkDataboxBars. It shields all internal things from developers who are just using the object.

## Function Documentation

GType gtk_databox_bars_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_bars_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_bars_new: : length of and : array of horizontal position values of markers : array of vertical position values of markers : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxBars object which can be added to a GtkDatabox widget

Return value: A new GtkDataboxBars object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines